/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2012, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

// 04/04/12 20:05 NDP : JavaVersionUtil: creation

package org.awakefw.file.util;

import org.apache.commons.lang3.JavaVersion;
import org.apache.commons.lang3.SystemUtils;

/**
 * 
 * Test if Java version is OK for Awake File or Awake SQL
 * @author Nicolas de Pomereu
 * 
 */
public class JavaVersionUtil {

    /**
     * Test that Java is at least 1.6 or throw RuntimeException
     * @throws RuntimeException if java version < 1.6
     */
    public static void testJavaIsAtLeastJava6OrThrowException() {
	boolean javaOk = SystemUtils.isJavaVersionAtLeast(JavaVersion.JAVA_1_6);

	if (!javaOk) {
	    throw new RuntimeException(
		    Tag.AWAKE
			    + "Sorry, this Awake version does not support Java "
			    + SystemUtils.JAVA_SPECIFICATION_VERSION
			    + " and requires at least Java 1.6. Please contact us at contact@awakeframework.org if you need Java "
			    + SystemUtils.JAVA_SPECIFICATION_VERSION
			    + " support.");
	}	
    }
    
}
